package yrpg.bamp.basedata.common;

public class BasicDataInsertEntity {
    //数据来源单据标识
    private final String sourceKey;
    //同步数据单据标识
    private final String synKey;
    //同步单据名称
    private final String localName;
    //编号标识
    private final String billNoKey;
    //编号标识
    private final String statusKey;

    //表类型，（终端表(正式)：terminal / 辖区管理：jurisdiction / 医院：hospital / 医生：doctor）/ 客户管理：custom / 人员档案：mktUser）
    public BasicDataInsertEntity(String kind) {
        switch (kind) {
            case "terminal":
                this.sourceKey = "yrpg_med_terminal";
                this.synKey = "yrpg_base_med_terminal";
                this.localName = "终端表(正式)";
                this.billNoKey = "number";
                this.statusKey = "status";
                break;
            case "doctor":
                this.sourceKey = "rm_med_doctor";
                this.synKey = "yrpg_doctor";
                this.localName = "医生";
                this.billNoKey = "number";
                this.statusKey = "status";
                break;
            case "hospital":
                this.sourceKey = "rm_med_hospital";
                this.synKey = "yrpg_hospital";
                this.localName = "医院";
                this.billNoKey = "number";
                this.statusKey = "status";
                break;
            case "jurisdiction":
                this.sourceKey = "rm_mkt_sales_area_manage";
                this.synKey = "yrpg_mkt_sales_area_manag";
                this.localName = "辖区管理";
                this.billNoKey = "billno";
                this.statusKey = "billstatus";
                break;
            case "custom":
                this.sourceKey = "rm_mkt_custom";
                this.synKey = "yrpg_bd_endcustomer";
                this.localName = "客户管理";
                this.billNoKey = "number";
                this.statusKey = "status";
                break;
            case "mktUser":
                this.sourceKey = "rm_mkt_user";
                this.synKey = "yrpg_mkt_user";
                this.localName = "人员档案";
                this.billNoKey = "number";
                this.statusKey = "status";
                break;
            default:
                this.sourceKey = "unknow";
                this.synKey = "unknow";
                this.localName = "未知";
                this.billNoKey = "unknow";
                this.statusKey = "unknow";
                break;
        }
    }

    public String getSourceKey() {
        return sourceKey;
    }

    public String getSynKey() {
        return synKey;
    }

    public String getLocalName() {
        return localName;
    }

    public String getBillNoKey() {
        return billNoKey;
    }

    public String getStatusKey() {
        return statusKey;
    }
}
