package yrpg.bamp.basedata.webapi.pojo;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.util.Date;

@ApiModel
public class UserDTO {
    @ApiParam(value = "工号", required = true, message = "人员工号不能为空")
    private String number;
    @ApiParam(value = "姓名", required = true, message = "人员姓名不能为空")
    private String name;
    @ApiParam(value = "手机", required = true, message = "人员手机不能为空")
    private String phone;
    @ApiParam(value = "性别")
    private String gender;
    @ApiParam(value = "邮箱")
    private String email;
    @ApiParam(value = "入职日期")
    private Date entryDate;
    @ApiParam(value = "员工组")
    private String employeeGroup;
    @ApiParam(value = "管理组织")
    private String managementOrg;
    @ApiParam(value = "一级销售队伍")
    private String firstSalesTeam;
    @ApiParam(value = "二级销售队伍")
    private String secondSalesTeam;

    @ApiParam(value = "收款信息" )
    private String payerbank;
//    @ApiParam(value = "收款账号" )
//    private String payerbank_number;

//    @ApiParam(value = "收款行号" )
//    private String payeraccount;

    @ApiParam(value = "部门", required = true, message = "人员部门不能为空")
    private String department;
    @ApiParam(value = "职位", required = true, message = "人员职位不能为空")
    private String position;
    @ApiParam(value = "使用状态", required = true, message = "人员使用状态不能为空")
    private String enable;
    @ApiParam(value = "主数据编码", required = true, message = "人员主数据编码不能为空")
    private String masterUserid;
    @ApiParam(value = "身份证号", required = true, message = "人员身份证号不能为空")
    private String idcard;
    @ApiParam(value = "职级", required = true, message = "人员职级不能为空")
    private String rank;

    public UserDTO(String number, String name, String phone, String gender, String email, Date entryDate, String employeeGroup, String managementOrg, String firstSalesTeam, String secondSalesTeam, String payerbank, String department, String position, String enable, String masterUserid, String idcard, String rank) {
        this.number = number;
        this.name = name;
        this.phone = phone;
        this.gender = gender;
        this.email = email;
        this.entryDate = entryDate;
        this.employeeGroup = employeeGroup;
        this.managementOrg = managementOrg;
        this.firstSalesTeam = firstSalesTeam;
        this.secondSalesTeam = secondSalesTeam;
        this.payerbank = payerbank;
        this.department = department;
        this.position = position;
        this.enable = enable;
        this.masterUserid = masterUserid;
        this.idcard = idcard;
        this.rank = rank;
    }

    public String getPayerbank() {
        return payerbank;
    }

    public void setPayerbank(String payerbank) {
        this.payerbank = payerbank;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public void setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
    }

    public String getEmployeeGroup() {
        return employeeGroup;
    }

    public void setEmployeeGroup(String employeeGroup) {
        this.employeeGroup = employeeGroup;
    }

    public String getManagementOrg() {
        return managementOrg;
    }

    public void setManagementOrg(String managementOrg) {
        this.managementOrg = managementOrg;
    }

    public String getFirstSalesTeam() {
        return firstSalesTeam;
    }

    public void setFirstSalesTeam(String firstSalesTeam) {
        this.firstSalesTeam = firstSalesTeam;
    }

    public String getSecondSalesTeam() {
        return secondSalesTeam;
    }

    public void setSecondSalesTeam(String secondSalesTeam) {
        this.secondSalesTeam = secondSalesTeam;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getEnable() {
        return enable;
    }

    public void setEnable(String enable) {
        this.enable = enable;
    }

    public String getMasterUserid() {
        return masterUserid;
    }

    public void setMasterUserid(String masterUserid) {
        this.masterUserid = masterUserid;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getRank() {
        return rank;
    }

    public void setRank(String rank) {
        this.rank = rank;
    }

    @Override
    public String toString() {
        return "UserDTO{" +
                "number='" + (number != null ? number.trim() : null) + '\'' +
                ", name='" + (name != null ? name.trim() : null) + '\'' +
                ", department='" + (department != null ? department.trim() : null) + '\'' +
                ", enable='" + (enable != null ? enable.trim() : null) + '\'' +
                ", masterUserid='" + (masterUserid != null ? masterUserid.trim() : null) + '\'' +
                ", rank='" + (rank != null ? rank.trim() : null) + '\'' +
                '}';
    }
}
